Package org.pushingpixels.substance.internal.utils

# Class SubstanceSplitPaneDivider.SubstanceDividerLayout

java.lang.Object
javax.swing.plaf.basic.BasicSplitPaneDivider.DividerLayout
org.pushingpixels.substance.internal.utils.SubstanceSplitPaneDivider.SubstanceDividerLayout

All Implemented Interfaces:
  `LayoutManager`

Enclosing class:
  `SubstanceSplitPaneDivider`

protected class SubstanceSplitPaneDivider.SubstanceDividerLayout extends BasicSplitPaneDivider.DividerLayout
Layout manager for the split pane divider.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubstanceDividerLayout()`

## Method Summary

Modifier and Type
Method
Description
`void`
`layoutContainer(Container c)`

### Methods inherited from class javax.swing.plaf.basic.BasicSplitPaneDivider.DividerLayout

`addLayoutComponent, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceDividerLayout

protected SubstanceDividerLayout()

## Method Details

### layoutContainer

public void layoutContainer(Container c)

Specified by:
  `layoutContainer` in interface `LayoutManager`
Overrides:
  `layoutContainer` in class `BasicSplitPaneDivider.DividerLayout`